|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QCleanlooksStyle Class Reference
[QtGui module]

The QCleanlooksStyle class provides a widget style similar to the Clearlooks style available in GNOME. More...

     #include <QCleanlooksStyle>

Inherits QWindowsStyle.

Inherited by QGtkStyle.

This class was introduced in Qt 4.2.

- List of all members, including inherited members

### Public Functions

- QCleanlooksStyle ()
- ~QCleanlooksStyle ()
- virtual void drawItemText ( QPainter * painter, const QRect & rectangle, int alignment, const QPalette & palette, bool enabled, const QString & text, QPalette::ColorRole textRole = QPalette::NoRole ) const

- 23 public functions inherited from QStyle
- 29 public functions inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 6 static public members inherited from QStyle
- 5 static public members inherited from QObject
- 7 protected functions inherited from QObject
- 2 protected slots inherited from QStyle

## Detailed Description

The QCleanlooksStyle class provides a widget style similar to the Clearlooks style available in GNOME.

The Cleanlooks style provides a look and feel for widgets that closely resembles the Clearlooks style, introduced by Richard Stellingwerff and Daniel Borgmann.

See also Cleanlooks Style Widget Gallery, QWindowsXPStyle, QMacStyle, QWindowsStyle, QCDEStyle, QMotifStyle, and QPlastiqueStyle.

## Member Function Documentation

### QCleanlooksStyle::QCleanlooksStyle ()

Constructs a QCleanlooksStyle object.

### QCleanlooksStyle::~QCleanlooksStyle ()

Destroys the QCleanlooksStyle object.

### void QCleanlooksStyle::drawItemText ( QPainter * painter, const QRect & rectangle, int alignment, const QPalette & palette, bool enabled, const QString & text, QPalette::ColorRole textRole = QPalette::NoRole ) const `[virtual]`

Draws the given text in the specified rectangle using the provided painter and palette.

Text is drawn using the painter's pen. If an explicit textRole is specified, then the text is drawn using the palette's color for the specified role. The enabled value indicates whether or not the item is enabled; when reimplementing, this value should influence how the item is drawn.

The text is aligned and wrapped according to the specified alignment.

Reimplemented from QStyle.

See also Qt::Alignment.